Package org.eclipse.emf.cdo.common.protocol

## Class CDOProtocol.CommitData

- java.lang.Object
- - org.eclipse.emf.cdo.common.protocol.CDOProtocol.CommitData

- Enclosing interface:
    CDOProtocol

      public static final class CDOProtocol.CommitData
      extends java.lang.Object

  Since:
    4.8
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CommitData​(CDODataInput in)` |
    `CommitData​(InternalCDORevision[] newObjects, InternalCDORevisionDelta[] dirtyObjectDeltas, CDOID[] detachedObjects)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDOID[]` | `getDetachedObjects()` |
    `InternalCDORevisionDelta[]` | `getDirtyObjectDeltas()` |
    `InternalCDORevision[]` | `getNewObjects()` |
    `void` | `write​(CDODataOutput out)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommitData

          public CommitData​(InternalCDORevision[] newObjects,
                            InternalCDORevisionDelta[] dirtyObjectDeltas,
                            CDOID[] detachedObjects)

    - #### CommitData

          public CommitData​(CDODataInput in)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### write

          public void write​(CDODataOutput out)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getNewObjects

          public InternalCDORevision[] getNewObjects()

    - #### getDirtyObjectDeltas

          public InternalCDORevisionDelta[] getDirtyObjectDeltas()

    - #### getDetachedObjects

          public CDOID[] getDetachedObjects()